%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% hsstart.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function [u,v,F1,F2] = hstart(prob)
% gives the standard starting point of the Hock-Schittkowski function 
% number prob
%
% Input:
% prob   number of problem
%        at present, prob in {18,19,23,30,31,34,36,37,41,53,60,65,66,
%        71,74,111,217} is implemented
% 
% Output:
% x      standard starting point (column vector)
%
function x = hsstart(prob)
if prob == 18
  x = [2; 2];
elseif prob == 19
  x = [20.1; 5.84];
elseif prob == 23
  x = [3; 1];
elseif prob == 30
  x = ones(3,1);
elseif prob == 31
  x = ones(3,1);
elseif prob == 34
  x = [0; 1.05; 2.9];
elseif prob == 36
  x = 10*ones(3,1);
elseif prob == 37
  x = [10; 10; 10];
elseif prob == 41
  x = 2*ones(4,1);
elseif prob == 53
  x = 2*ones(5,1);
elseif prob == 60
  x = 2*ones(3,1);
elseif prob == 65
  x = [-5; 5; 0];
elseif prob == 66
  x = [0; 1.05; 2.9];
elseif prob == 71
  x = [1; 5; 5; 1];
elseif prob == 74
  x = zeros(4,1);
elseif prob == 111
  x = -2.3*ones(10,1);
elseif prob == 217
  x = [10; 10];
end
