%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% snobrad.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function d = snobrad(x,y,d)
% shrinks the old trust region radii such that the point y is at 
% the boundary
% 
% Input:
% x	point around which the trust region is to be computed
% y	second point in the trust region
% d	the components are the old trust region radii
%
function d = snobrad(x,y,d)
fac = abs(y-x)./d;
[mfac,i] = max(fac);
d = mfac*d;
